McEliecePublicKeyParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.crypto.mceliece

## Class McEliecePublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.mceliece.McElieceKeyParameters
    - - org.bouncycastle.pqc.crypto.mceliece.McEliecePublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class McEliecePublicKeyParameters
      extends McElieceKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McEliecePublicKeyParameters(java.lang.String oid, int t, int n, byte[] encG, McElieceParameters params)` Constructor (used by `McElieceKeyFactory`).
    `McEliecePublicKeyParameters(java.lang.String oid, int n, int t, GF2Matrix g, McElieceParameters params)` Constructor (used by `McElieceKeyFactory`).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GF2Matrix` | `getG()`
    `int` | `getK()`
    `int` | `getN()`
    `java.lang.String` | `getOIDString()`
    `int` | `getT()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mceliece.McElieceKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McEliecePublicKeyParameters

          public McEliecePublicKeyParameters(java.lang.String oid,
                                     int n,
                                     int t,
                                     GF2Matrix g,
                                     McElieceParameters params)

      Constructor (used by `McElieceKeyFactory`).
      Parameters:
        `oid` -
        `n` - the length of the code
        `t` - the error correction capability of the code
        `g` - the generator matrix
        `params` - McElieceParameters

    - #### McEliecePublicKeyParameters

          public McEliecePublicKeyParameters(java.lang.String oid,
                                     int t,
                                     int n,
                                     byte[] encG,
                                     McElieceParameters params)

      Constructor (used by `McElieceKeyFactory`).
      Parameters:
        `oid` -
        `n` - the length of the code
        `t` - the error correction capability of the code
        `encG` - the encoded generator matrix
        `params` - McElieceParameters

  - ### Method Detail

    - #### getN

          public int getN()

      Returns:
        the length of the code

    - #### getT

          public int getT()

      Returns:
        the error correction capability of the code

    - #### getG

          public GF2Matrix getG()

      Returns:
        the generator matrix

    - #### getOIDString

          public java.lang.String getOIDString()

    - #### getK

          public int getK()

      Returns:
        the dimension of the code